/*
Copyright © 2023 AGECEM & Victor Lacasse-Beaudoin
*/
package cmd

import (
	"fmt"
	"log"

	"git.agecem.com/agecem/bottin-ag/config"
	"github.com/spf13/cobra"
)

// apiCmd represents the api command
var apiCmd = &cobra.Command{
	Use:   "api",
	Short: "Start the API server",
	Run: func(cmd *cobra.Command, args []string) {
		cfg, err := config.GetConfig()
		if err != nil {
			log.Fatal(err)
		}

		fmt.Println("api called with api-port", cfg.API.Port)
		fmt.Println("api called with web-port", cfg.Web.Port)
	},
}

func init() {
	rootCmd.AddCommand(apiCmd)
}
